#include <iostream>
#include <string>
#include <stdlib.h>
#include"JobEntry.h"

int main(int argc, char *argv[])
{
char choice;
char name[20];
char iden[20]; 
int priority;     
 
Job job;

do{
  cout<<"\n\n\n e--Enter a new case ";
  cout<<"\n p--Print all element according to priority of case and patient. ";
  cout<<"\n q--Quit the program ";
  cout<<"\n  Your Choice here = ";
  cin>>choice;
  
  switch (choice){
   case 'e':
   case 'E':
   

      cout<<"\n Patient Name :";cin>>name;
      job.add1(name[20]);
      cout<<"\n Identifier :";cin>>iden;
      job.add2(iden[20]);
      cout<<"\n Priority :";cin>>priority;
      job.add(priority);
     
      
     
  break;
  
  case 'p':
  case 'P':
  

    job.print(job);
     

  break;
      
  case 'q':
  case 'Q':
    exit(1);
  break;
  
 
  
  }
} while(true);

  system("PAUSE");	
  return 0;
}
